<?php 
    session_start();
    require('../../conexion.php');

    $id_nota    = $_SESSION['cveNota'];
    $personas   = $_POST['personas'];
    $comensal   = $_POST['comensal'];
    $mesa       = $_POST['mesa'];
    $hora_ini   = $_POST['hora_ini'];
    $hora_fin   = $_POST['hora_fin'];
    $subtotal   = $_POST['subtotal'];
    $descuento  = $_POST['descuento'];
    $total      = $_POST['total'];
    $bandera      = $_POST['bandera'];
    // $session_id      = $_POST['session_id'];
    $zona;
    if ($mesa == 0) {
        $zona = 'Para llevar';
    }else{
        $zona = 'Venta en piso';
    }

    try {
        if ($bandera == 2) {
            query("UPDATE notas_venta SET ntv_hora_edt=CURRENT_TIME(), ntv_zona_ate='$zona', ntv_roll_clave='ME', 
                    ntv_subtotal='$subtotal', ntv_total_nota='$total', ntv_no_mesa= '$mesa', ntv_total_descuento='$descuento', 
                    ntv_no_personas='$personas', updated_at=CURRENT_TIME() WHERE id='$id_nota';");
        }else{
            query("UPDATE notas_venta SET ntv_hora_edt=CURRENT_TIME(), ntv_zona_ate='$zona', ntv_roll_clave='ME', 
            ntv_subtotal='$subtotal', ntv_total_nota='$total', ntv_no_mesa= '$mesa', ntv_total_descuento='$descuento', 
            ntv_no_personas='$personas', ntv_estatus='pendiente', updated_at=CURRENT_TIME() WHERE id='$id_nota';");
        }
        

       

        // query("UPDATE sesiones SET estatus = '0' where id = '$session_id'");
        // query("DELETE FROM sesiones where id = '$session_id'");

        /* $query= query("UPDATE productos_nota SET pdn_comensal = '$comensal' where id_nota_venta = $id_nota;"); */
        echo 1;
    } catch (Exception $e) {
        echo $e;
    }
?>